<html>
<!-- Author: Bas Testerink -->
<head>
	<meta charset="utf-8" />
	<!-- The title -->
	<title>P2P Argumentation Dialogues Demo</title>
	<!-- Icons for in argument graph -->
	<link rel="stylesheet" href="semantic/dist/font-awesome.min.css">
	<!-- The style sheets from Semantic UI -->
	<link href="semantic/dist/semantic.min.css" rel="stylesheet" type="text/css" />  

	<!-- Vis -->
	<script type="text/javascript" src="vis/dist/vis.js"></script>
	<link href="vis/dist/vis.css" rel="stylesheet" type="text/css" />

	<!-- The data as outputted by Java--> 
	<script type="text/javascript" src="js/dialogGraphDivision.js"></script> 
	<script type="text/javascript" src="js/dialogGraphForum.js"></script> 
	<script type="text/javascript" src="js/dialogGraphYellowPage.js"></script> 
	<!-- Javascript business logic for this page --> 
	<script type="text/javascript" src="js/P2PArgumentationDialogDemo.js"></script> 


	<!-- Style -->
	<style type="text/css">  
		#connectivity { 
			height: 300px;
		}
		#argument2 { 
			height: 700px;
		}
		#argument1 { 
			height: 700px;
		}
		#illocutionaryForce { 
			height: 700px;
		}
		#aif { 
			height: 700px;
		} 
		.vis-item.defaultClass {
			border-color: black; 
			box-shadow: 2px 2px 3px 0px rgba(0,0,0,0.75);
		} 
		.vis-item.error {
			border-color: red;
			background-color: #FF7070;
			box-shadow: 2px 2px 3px 0px rgba(0,0,0,0.75);
		} 
	</style> 
</head>
<body>
	<!-- The outer container that holds all the content -->
	<div class="ui grid container">  
		<div class="one column row center aligned">
			<div class="column"> 
				<h1>P2P Argumentation Dialogues Demo</h1>
			</div> 
		</div> 

		<div class="ui bottom attached center aligned segment"> 
			<div class="ui grid">   
				<div class="sixteen wide column">
					<div class="ui button" onClick="setDialogGraph('Division');">Division</div>
					<div class="ui button" onClick="setDialogGraph('YellowPage');">Yellow Pages</div>
					<div class="ui button" onClick="setDialogGraph('Forum');">Public Forum</div>
				</div><div class="sixteen wide column">
					<h2>Connectivity</h2>
					<div id="connectivity"></div>
				</div>
				<div class="sixteen wide column">
					<div class="ui top attached tabular menu">
						<a class="item active" data-tab="dialogTab">Dialogue</a>
						<a class="item" data-tab="argument2Tab">Argument 2</a>
						<a class="item" data-tab="argument1Tab">Argument 1</a>
						<a class="item" data-tab="illocutionaryForceTab">Illocutionary Force</a>
						<a class="item" data-tab="aifTab">AIF</a>
					</div> 
					<div class="ui tab bottom attached segment active" data-tab="dialogTab">
						<div id="dialog"></div>
					</div>
					<div class="ui tab bottom attached segment" data-tab="argument2Tab">
						<div id="argument2"></div>
					</div>
					<div class="ui tab bottom attached segment" data-tab="argument1Tab">
						<div id="argument1"></div>
					</div>
					<div class="ui tab bottom attached segment" data-tab="illocutionaryForceTab">
						<div class="ui selection dropdown" id="message">
							<input type="hidden" name="message">
							<i class="dropdown icon"></i>
							<div class="default text">Select message</div>
							<div class="menu" id="messageOptions"></div>
						</div><br>
						<div id="illocutionaryForce"></div>
					</div>
					<div class="ui tab bottom attached segment" data-tab="aifTab">
						<div id="aif"></div>
					</div>
				</div> 
			</div><br>  
		</div>
	</div>  


	<!-- Required import for smooth scrolling in the scroll panes. -->
	<script type="text/javascript" src="js/jquery.min.js"></script>
	<!-- Required import for semantic UI -->  
	<script type="text/javascript" src="semantic/dist/semantic.min.js"></script> 
	<script type="text/javascript">  

		// When the tabs are used we restabilize the relevant graphs
		$('.tabular.menu .item').tab({
			onVisible: function(tabPath){
				if(tabPath == "argument1Tab"){
					argument1Graph.fit();
					argument1Graph.stabilize();
				} else if(tabPath == "argument2Tab"){
					argument2Graph.fit();
					argument2Graph.stabilize();
				}  else if(tabPath == "aifTab"){
					aifGraph.fit();
					aifGraph.stabilize();
				} 
			}
		}); 
 		setDialogGraph("Division");
	</script>       
</body>
</html>
